# Uses of Enum Class
java.awt.Window.Type

Packages that use Window.Type
Package
Description
java.awt
Contains all of the classes for creating user interfaces and for painting graphics and images.

- ## Uses of Window.Type in java.awt

  Subclasses with type arguments of type Window.Type in java.awt
  Modifier and Type
  Class
  Description
  `static enum`
  `Window.Type`
  Enumeration of available window types.
  Methods in java.awt that return Window.Type
  Modifier and Type
  Method
  Description
  `Window.Type`
  Window.`getType()`
  Returns the type of the window.
  `static Window.Type`
  Window.Type.`valueOf(String name)`
  Returns the enum constant of this class with the specified name.
  `static Window.Type[]`
  Window.Type.`values()`
  Returns an array containing the constants of this enum class, in the order they are declared.
  Methods in java.awt with parameters of type Window.Type
  Modifier and Type
  Method
  Description
  `void`
  Window.`setType(Window.Type type)`
  Sets the type of the window.